Subject: Re: bug#17173: 24.4.50; Emacs partially loses display, and redisplay via `C-l' does not fix it

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Dec 2015 18:43:59 +0200

> Date: Sat, 26 Dec 2015 08:38:47 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > Are you still seeing this problem?
> 
> Yes, sometimes.  My impression is that Emacs 25 does redisplay
> less often or something

We (mostly Stefan) made redisplay faster by removing some triggers
that would redraw windows unnecessarily.  Such optimizations always
leave some fallout that needs to be fixed.

> and so there are occasions where the display is messed up.  And yes,
> C-l sometimes has no effect to clear it up.  To clear it up, I
> minimize the frame and then restore it, or sometimes it helps to
> just resize the frame.
> 
> I cannot tell you when the problem arises.  I can tell you
> that the problem exists.

It is impossible to fix these problems without a reproducible recipe.
The only alternative is to wait for someone else to come up with a bug
report and a recipe, which will solve this problem as a side effect.